Bug 19313 - Typo in UNIMARC field 130 plugin
Summary: Typo in UNIMARC field 130 plugin
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: George Veranis
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2017-09-14 09:02 UTC by Serhij Dubyk
Modified: 2020-05-16 14:15 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 19313: Fix typo in template (2.31 KB, patch)
2020-04-22 12:54 UTC, George Veranis
Details | Diff | Splinter Review
Bug 19313: Fix typo in in unimarc_field_130.pl value builder (2.48 KB, patch)
2020-04-28 19:53 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Serhij Dubyk 2017-09-14 09:02:32 UTC
Small typo:

http://git.koha-community.org/gitweb/?p=koha.git;a=blob;f=koha-tmpl/intranet-tmpl/prog/en/modules/cataloguing/value_builder/unimarc_field_130.tt;h=6b0758229ab680868bee17f63fb1f0701d3bd638;hb=HEAD#l245

https://books.google.com.ua/books?id=I9rPDkF0_ZQC&pg=PA195&lpg=PA195&dq=unimarc+130+mixed+emulsion&source=bl&ots=eE7pUi4Arn&sig=bN3mM9Br4QasDN6bnZ8Ph2C_EyI&hl=uk&sa=X&ved=0ahUKEwjIveiup6TWAhUzSJoKHbq7C-sQ6AEILjAB#v=onepage&q=unimarc%20130%20mixed%20emulsion&f=false

Exists:
 245                         [% END %]
 246                         [% IF ( f7d ) %]
 247                                 <option value="d" selected="selected">unknown</option>
 248                         [% ELSE %]
 249                                 <option value="d">unknown</option>
 250                         [% END %]
 251                         [% IF ( f7u ) %]
 252                                 <option value="u" selected="selected">mixed emulsion</option>
 253                         [% ELSE %]
 254                                 <option value="u">mixed emulsion</option>
 255                         [% END %]

Must be:
 245                         [% END %]
 246                         [% IF ( f7u ) %]
 247                                 <option value="u" selected="selected">unknown</option>
 248                         [% ELSE %]
 249                                 <option value="u">unknown</option>
 250                         [% END %]
 251                         [% IF ( f7v ) %]
 252                                 <option value="v" selected="selected">mixed emulsion</option>
 253                         [% ELSE %]
 254                                 <option value="v">mixed emulsion</option>
 255                         [% END %]
Comment 1 George Veranis 2020-04-22 12:54:51 UTC
Created attachment 103471 [details] [review]
Bug 19313: Fix typo in template

This patch fixes a simple typo

Test plan:
1) Go to Administration -> MARC bibliographic framework
2) Select a framework and add plugin unimarc_field_130.pl to 130 field
3) Open cataloguing screen
4) Go to 130 field and check if for subfield a shows value for
   'unknown' select it and close the window, check on value on 130$a at
   position 8 to have the value 'd'.
5) Repeat step 4 and select the value 'mixed emulsion' close the plugin
   window and check at position 8 to have the value 'u'
6) Apply the patch
7) Go to field 130, open the plugin window and select value 'unknown'
   close the window and check at position 8 to have the value 'u'
8) Go to field 130, open the plugin window and select value 'mixed
   emulsion', close the window and check at position 8 to have the
   value 'v'

Mentored-by: Andreas Roussos
Comment 2 Katrin Fischer 2020-04-28 19:53:36 UTC
Created attachment 103882 [details] [review]
Bug 19313: Fix typo in in unimarc_field_130.pl value builder

This patch fixes a simple typo

Test plan:
1) Go to Administration -> MARC bibliographic framework
2) Select a framework and add plugin unimarc_field_130.pl to 130 field
3) Open cataloguing screen
4) Go to 130 field and check if for subfield a shows value for
   'unknown' select it and close the window, check on value on 130$a at
   position 8 to have the value 'd'.
5) Repeat step 4 and select the value 'mixed emulsion' close the plugin
   window and check at position 8 to have the value 'u'
6) Apply the patch
7) Go to field 130, open the plugin window and select value 'unknown'
   close the window and check at position 8 to have the value 'u'
8) Go to field 130, open the plugin window and select value 'mixed
   emulsion', close the window and check at position 8 to have the
   value 'v'

Mentored-by: Andreas Roussos

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
https://www.ifla.org/files/assets/uca/unimarc_updates/BIBLIOGRAPHIC/b_130_update2017.pdf
Comment 3 Katrin Fischer 2020-04-28 19:54:17 UTC
I've added a link to a UNIMARC documentation I consulted and rephrased the subject of your commit message to be a bit more descriptive :)
Comment 4 Martin Renvoize 2020-04-29 18:01:40 UTC
Awesome work, great to see some mentoring going on.. that's my favourite git trailer :)
Comment 5 Martin Renvoize 2020-04-29 18:06:21 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-05-08 22:41:39 UTC
enhancement not backported to 19.11